#include <bits/stdc++.h>
using namespace std;
ifstream f1 ("DQNP.inp");
ofstream f2 ("DQNP.out");
void dnp(int64_t n)
{
    if(n/2>0)
    {
        dnp(n/2);
    }
    f2<<n%2;
}
int main()
{

    int64_t n;
    f1>>n;
    dnp(n);
}
